> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Summary

> Aggregated dashboard figures for the authenticated customer.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/account/summary
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/account/summary:
    get:
      tags:
        - account
      summary: Account Summary
      description: Aggregated dashboard figures for the authenticated customer.
      operationId: account_summary_api_v1_account_summary_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_AccountSummaryOut_'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_AccountSummaryOut_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/AccountSummaryOut'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[AccountSummaryOut]
    AccountSummaryOut:
      properties:
        orders_count:
          type: integer
          title: Orders Count
        total_spent:
          type: number
          title: Total Spent
        total_saved:
          type: number
          title: Total Saved
        loyalty_level:
          type: integer
          title: Loyalty Level
        loyalty_progress:
          type: number
          title: Loyalty Progress
        next_level_spend:
          anyOf:
            - type: number
            - type: 'null'
          title: Next Level Spend
      type: object
      required:
        - orders_count
        - total_spent
        - total_saved
        - loyalty_level
        - loyalty_progress
        - next_level_spend
      title: AccountSummaryOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````